Get responses
curl --request GET \
--url https://app.formbricks.com/api/v2/management/responses \
--header 'x-api-key: <api-key>'import requests
url = "https://app.formbricks.com/api/v2/management/responses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.formbricks.com/api/v2/management/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"finished": true,
"surveyId": "<string>",
"contactId": "<string>",
"endingId": "<string>",
"data": {
"question1": "answer1",
"question2": 2,
"question3": [
"answer3",
"answer4"
],
"question4": {
"subquestion1": "answer5"
}
},
"variables": {
"variable1": "answer1",
"variable2": 2
},
"ttc": {
"question1": 10,
"question2": 20
},
"meta": {
"source": "https://example.com",
"url": "https://example.com",
"userAgent": {
"browser": "Chrome",
"os": "Windows",
"device": "Desktop"
},
"country": "US",
"action": "click"
},
"contactAttributes": {
"attribute1": "value1",
"attribute2": "value2"
},
"singleUseId": "<string>",
"language": "en",
"displayId": "<string>"
}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}Management API - Responses
Get responses
Gets responses from the database.
GET
/
management
/
responses
Get responses
Authorizations
Use your Formbricks x-api-key to authenticate.
Query Parameters
Number of items to return
Required range:
1 <= x <= 250Number of items to skip
Required range:
x >= 0Sort by field
Available options:
createdAt, updatedAt Sort order
Available options:
asc, desc Start date
End date
Date field to filter by
Available options:
createdAt, updatedAt Was this page helpful?
⌘I